﻿body {
    padding-top: 120px;
    padding-bottom: 0;
}

.header-box {
    box-shadow: none;
    border-bottom: 1px solid #ddd;
}

.ajaxloading {
    display: none !important;
}

.product-container {
    text-align: right;
    overflow: hidden;
    padding: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    flex: 1;
}

.category-container {
    padding: 0 5px;
    overflow: auto;
    border-top: 1px solid #ddd;
    background-color: #fff;
    position: fixed;
    top: 105px;
    width: 100%;
    box-shadow: 0px 3px 5px 0 rgba(20,80,150,0.15);
    z-index: 2;
}

@media only screen and (min-width : 768px) {
    .category-container {
        max-width: 375px;
    }
}

.category-parents {
    display: flex;
    justify-content: center;
    align-items: center;
}

.parent-cat-item, .parent-cat-item:hover, .parent-cat-item:focus {
    margin: 5px;
    background-color: #fff;
    border-radius: 8px;
    color: #ff1744;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 30px;
    line-height: 1;
    width: 50%;
    text-align: center;
    text-decoration: none;
    box-shadow: 0 1px 3px rgba(255, 23, 68, 0.66);
    font-family: Vazir-M;
}

.carousel-category-box {
    height: 46px;
    overflow: hidden;
    padding: 0 5px;
}

.cat-item, .cat-item:hover, .cat-item:focus {
    margin: 10px 7px;
    background-color: #fff;
    border-radius: 20px;
    color: #000;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 26px;
    line-height: 1;
    width: 130px;
    text-align: center;
    text-decoration: none;
    font-size: 11px;
    font-family: Vazir-M;
    border: 1px solid #cfd8dc;
}

.product-item, .product-item:hover, .product-item:focus {
    background-color: #fff;
    width: 49%;
    margin-bottom: 10px;
    color: #000;
    font-size: 12px;
    display: block;
    outline: none;
    text-decoration: none;
    padding-bottom: 5px;
    transition: width .1s;
    border-radius: 15px;
    border: 1px solid #cfd8dc;
}

    .product-item.lg {
        width: 100%;
    }

.product-img-box {
    margin-top: 10px;
    height: 70px;
    text-align: center;
    overflow: hidden;
    position: relative;
    display: block;
}

    .product-img-box img {
        height: 100%;
        width: 100%;
        object-fit: contain;
        background-color: #fff;
    }

.promotion {
    position: absolute;
    background-color: #ff1744;
    color: #fff;
    width: 94%;
    left: 3%;
    padding: 5px 0;
    border-radius: 20px;
    opacity: 0.9;
    bottom: 0;
}

#PromotionModal {
    margin-top: 40%;
}

.promotion-title {
    text-align: center;
    margin-bottom: 20px;
    color: #ff1744;
    font-weight: 600;
    font-size: 14px;
}

.promotion-des {
    text-align: center;
    margin-bottom: 20px;
    font-weight: 600;
    line-height: 2;
}

.promotion-btn {
    text-align: center;
}

.product-title, .product-title:focus, .product-title:hover {
    height: 45px;
    padding-left: 7px;
    padding-right: 7px;
    display: block;
    text-align: center;
    line-height: 1.7;
    color: #37474f;
    outline: none;
    text-decoration: none;
    font-size: 14px;
    font-family: Vazir-M;
    margin-top: 15px;
    margin-bottom: 20px;
}

.product-config-des:not(:empty) {
    padding: 2px 0;
    display: block;
    text-align: center;
    line-height: 21px;
    color: #78909c;
    font-size: 11px;
    background-color: #f6f8fb;
    margin-top: 20px;
    margin-bottom: 10px;
}

.product-item.lg .product-title {
    border: none;
    height: auto;
    text-align: center;
}

.product-item.lg .product-title2 {
    display: block;
}


.price-box {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: flex-end;
    height: 30px;
}

    .price-box.price-box-off {
        /*justify-content: space-between;*/
    }

.off-box:not(:empty) {
    border-radius: 2px 10px 10px 2px;
    height: 20px;
    width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ff1744;
    color: #fff;
    text-align: center;
    position: absolute;
    left: 5px;
    top: 5px;
}

.old-price {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
    height: 20px;
}

.price {
    flex: 6;
    text-align: center;
}

.price-box-off .price {
    text-align: center;
}

.product-price {
    font-family: Vazir-B;
    color: #37474f;
    font-size: 20px;
}

    .product-price .toman {
        font-size: 12px;
        margin-right: 5px;
        font-family: Vazir-M;
    }

.product-old-price {
    color: #ff1744;
    display: block;
    text-decoration: line-through;
}

.not-available {
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*margin-bottom: 5px;*/
    color: red;
    font-size: 14px;
}

.buy-with-call {
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    background-color: #ff1744;
    border-radius: 20px;
    width: 60%;
    margin: 10px 20% 5px 20%;
    font-size: 11px;
}

    .buy-with-call i {
        font-size: 16px;
        margin-left: 5px;
    }

.product-action-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}

.config-type-box {
    display: flex;
    align-items: center;
    justify-content: center;
}

    .config-type-box span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 50px;
        height: 26px;
        border-radius: 20px;
        border: 1px solid #999;
        margin-left: 5px;
        font-size: 11px;
        border-radius: 10px;
        color: #999;
    }

        .config-type-box span.selected {
            border: 2px solid #536dfe;
            color: #536dfe;
            font-family: vazir-b;
        }

.btn-basket-add {
    background-color: #fff;
    border: 2px solid #00c853;
    color: #00c853 !important;
    border-radius: 10px;
    height: 34px;
    width: 34px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    text-decoration: none !important;
    outline: none !important;
    font-size: 20px;
}

#AddToBasketModal .modal-header {
    border: none;
}

#AddToBasketModal .modal-dialog {
    width: 95%;
    margin: 100px auto 0 auto;
}

.basket-product-title {
    text-align: center;
    display: block;
    font-size: 14px;
    margin-bottom: 20px;
    font-family: Vazir-M;
}

.double-value-box {
    text-align: center;
    margin-bottom: 20px;
}

.double-value-item {
    display: inline-block;
    border: 1px solid #ddd;
    padding: 3px 10px;
    margin: 0 5px;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

    .double-value-item.selected {
        border: 1px solid #0099ff;
        color: #0099ff;
    }

.add-to-basket-box {
    background-color: #fff;
    height: 40px;
    width: 150px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin: auto;
    margin-bottom: 10px;
    justify-content: space-between;
    flex-direction: row;
    display: flex;
    align-items: center;
    font-size: 18px;
}

.btn-change-count, btn-change-count:focus {
    color: #ff1744;
    width: 38px;
    height: 38px;
    border: none !important;
    outline: none !important;
    background: none;
}

.count-error-box {
    height: 20px;
    color: #ff1744;
    text-align: center;
    margin-bottom: 10px;
    font-size: 13px;
    font-family: Vazir-M;
}

.basket-success-msg {
    color: #00aa00;
    display: block;
    text-align: center;
    font-size: 14px;
    margin-bottom: 30px;
}

.loading {
    text-align: center;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    border-top: 1px solid #ddd;
    z-index: 99;
}

    .loading img {
        height: 80px;
    }

.loading-more {
    text-align: center;
}

    .loading-more img {
        height: 40px;
    }

.filter-container-collapse {
    text-align: center;
    position: fixed;
    width: 100%;
    top: 45px;
    z-index: 2;
    background-color: #f1f1f1;
    box-shadow: 0px 3px 3px -1px rgba(0,0,0,0.25);
    padding: 5px 0;
}

.btn-toggle-filters {
    margin: auto;
    background-color: #002699;
    color: #fff;
    border: none;
    padding: 3px 10px;
    border-radius: 10px;
    outline: none;
    width: 160px;
}

    .btn-toggle-filters i {
        font-size: 24px;
        line-height: 1;
        vertical-align: middle;
    }

.filter-header {
    background-color: #fff;
    flex-direction: row;
    height: 50px;
    display: flex;
    position: fixed;
    width: 100%;
    top: 55px;
    z-index: 1;
    border-bottom: 1px solid #ddd;
}

@media only screen and (min-width : 768px) {
    .filter-header {
        max-width: 375px;
    }
}

.filter-header-sticky {
    position: fixed;
    top: 45px;
    width: 100%;
    max-width: 480px;
}

.filter-header-filter {
    border-left: 1px solid #ddd;
    flex: 1;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    display: flex;
    cursor: pointer;
}

.filter-header-sort {
    /*border-left: 1px solid #ddd;*/
    flex: 1;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    display: flex;
    cursor: pointer;
}

.filter-header-view {
    flex: 2;
    justify-content: center;
    align-items: center;
    display: flex;
    cursor: pointer;
    border: none;
    background: none;
    outline: none;
}

.filter-header-icon {
    color: #000;
    margin-left: 10px;
    font-size: 20px;
}

.filter-header-view-icon1 {
    color: #000;
    font-size: 20px;
}

    .filter-header-view-icon1.fa-app-pause {
        color: #000;
        transform: rotate(90deg);
        font-size: 20px;
    }

.filter-header-txt-black {
    display: block;
    font-size: 11px;
    font-family: Vazir-M;
    color: #000;
    line-height: 1;
    margin-bottom: 5px;
}

.filter-header-txt-gray {
    display: block;
    font-size: 10px;
    color: #999;
}

#SortModal .modal-header {
    border: none;
}

#SortModal .modal-dialog {
    width: 95%;
    margin: 100px auto 0 auto;
}

#SortModal .modal-body {
}

.sort-header {
    text-align: center;
    display: block;
    margin-bottom: 15px;
    margin-left: 20px;
    margin-right: 20px;
    padding-bottom: 15px;
    font-size: 13px;
    font-family: Vazir-M;
    border-bottom: 1px solid #eee;
}

    .sort-header i {
        margin-left: 5px;
        vertical-align: middle;
    }

.sort-container {
    list-style: none;
}

    .sort-container li {
        margin-bottom: 20px;
        font-size: 13px;
        cursor: pointer;
        position: relative;
        padding-right: 30px;
    }

        .sort-container li:after {
            content: "";
            font-family: fontello;
            font-size: 20px;
            position: absolute;
            right: 0;
            top: 0;
            border: 1px solid #777;
            height: 18px;
            width: 18px;
            border-radius: 10px;
            z-index: 1;
        }

        .sort-container li.selected:before {
            content: " ";
            font-family: fontello;
            font-size: 26px;
            background-color: #5cb85c;
            position: absolute;
            right: 3px;
            top: 3px;
            z-index: 2;
            height: 12px;
            width: 12px;
            border-radius: 10px;
        }


#FilterModal .modal-header {
    border: none;
    background-color: #ff1744;
}

    #FilterModal .modal-header .close {
        color: #fff;
        opacity: 1;
        font-size: 22px;
        font-family: fontello;
        font-weight: normal;
        text-shadow: none;
        outline: none;
    }

#FilterModal .modal-title {
    font-family: IRANSans;
    color: #fff;
    font-size: 14px;
}

#FilterModal .modal-dialog {
    width: 95%;
    margin: 5px auto 5px auto;
    height: 98%;
}

#FilterModal .modal-content {
    height: 100%;
    border-radius: 0;
}

#FilterModal .modal-body {
    /*display: flex;
	flex-direction: column;
	justify-content: space-between;
	padding: 0;*/
    height: 92%;
}

.filter-container {
    display: flex;
    flex-direction: row;
    height: 100%;
    overflow: hidden;
}

.filter-title-box {
    flex: 3;
    background-color: #555;
    color: #fff;
    overflow: auto;
}

    .filter-title-box ul {
        list-style: none;
        padding: 0;
    }

        .filter-title-box ul li {
            padding: 15px;
            cursor: pointer;
            display: flex;
            flex-direction: row;
            justify-content: space-between;
            align-items: center;
            user-select: none;
        }

            .filter-title-box ul li.selected {
                background-color: #fff;
                color: #000;
            }

.selected-filter-count:not(:empty) {
    color: #fff;
    background-color: #000;
    width: 16px;
    height: 16px;
    display: inline-block;
    text-align: center;
    border-radius: 8px;
}

.selected-price:not(:empty) {
    /*color:#fff;
				background-color:#000;
				display:inline-block;
				text-align:center;*/
}

.filter-value-box {
    flex: 4;
    justify-content: space-between;
    display: flex;
    flex-direction: column;
}

.filter-action-box {
    background-color: #eee;
    display: flex;
    flex-direction: row;
    border-top: 1px solid #ddd;
}

.btn-clear-filter {
    flex: 1;
    border: none;
    border-left: 1px solid #ddd;
    padding: 15px 0;
    outline: none;
    font-family: Vazir-M;
    background: no-repeat;
}

    .btn-clear-filter i {
        font-size: 20px;
        vertical-align: middle;
        margin-left: 5px;
        line-height: 1;
    }

.ios-switch-container {
    flex: 1;
    justify-content: flex-start;
    align-items: center;
    display: flex;
    padding-right: 10px;
    margin-top: 20px;
}

    .ios-switch-container label {
        font-weight: normal;
        font-family: Vazir-M;
        margin-left: 15px;
        float: left;
        margin-right: 10px;
    }

.btn-filter, .btn-filter:hover, .btn-filter:focus {
    background-color: #0099ff;
    color: #fff;
    border-radius: 0;
    width: 100%;
    font-size: 16px;
    padding: 15px;
    border: none;
    outline: none;
}

.filter-box {
    height: 100%;
    overflow: auto;
    overflow-x: hidden;
}

    .filter-box ul {
        list-style: none;
        padding: 0;
    }

    .filter-box li input {
        margin-left: 5px;
        vertical-align: sub;
        float: left;
    }

    .filter-box li label {
        display: block;
        padding: 10px;
        user-select: none;
        font-weight: normal;
        cursor: pointer;
    }

.color-box li span {
    display: inline-block;
    height: 12px;
    width: 12px;
    margin-left: 5px;
    border-width: 1px;
    border-style: solid;
    vertical-align: middle;
    border-radius: 6px;
}

.filter-price-box {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.price-slider-container {
    padding: 0 20px;
}

.price-slider-text {
    padding: 0 5px;
    margin-top: 10px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

    .price-slider-text span {
        text-align: center;
        display: block;
        color: #333;
    }

.price-slider-lbl {
    display: block;
    line-height: 1;
    margin: 5px 0;
    color: #000;
    width: 60px;
}

.noUi-connect {
    background: #0099ff !important;
}

.noUi-handle {
    border-radius: 20px !important;
    background: #FFF;
    cursor: default;
    box-shadow: inset 0 0 1px #FFF, inset 0 1px 7px #EBEBEB, 0 3px 6px -3px #000;
    height: 30px !important;
    width: 30px !important;
    border-color: #bbb !important;
}

    .noUi-handle:before {
        display: none !important;
    }

    .noUi-handle:after {
        display: none !important;
    }

.no-product {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1;
    padding: 10px;
}


#CountModal .modal-dialog {
    /*height: 80%;
	max-width: 480px;*/
}

#CountModal .modal-content {
    border-radius: 15px;
    overflow: hidden;
}

#CountModal .modal-body, #CountModal .modal-body > div {
    padding: 0;
    height: 100%;
}

.config-detail-box {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

    .config-detail-box header {
        background-color: #fff;
        padding: 10px;
        color: #000;
        text-align: center;
        font-size: 18px;
        border-bottom: 2px solid #000;
        margin: 30px auto 30px auto;
        display: block;
        max-width: 250px;
        font-family: Vazir-M;
    }

    .config-detail-box .btn {
        border-radius: 0;
        font-size: 14px;
        height: 50px;
    }

.count-list-box {
    flex: 1;
    overflow: auto;
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* پنج ستون */
    gap: 10px; /* فاصله بین آیتم‌ها */
    justify-content: start; /* تراز از راست برای ردیف آخر */
    margin-bottom: 50px;
    padding: 15px;
    max-height: 300px;
}

.count-item {
    display: inline-block;
    text-align: center;
    padding: 10px;
    font-size: 18px;
    border: 1px solid #ddd;
    border-radius: 10px;
    margin-bottom: 10px;
    box-shadow: 0 3px 5px 0 rgba(20,80,150,0.15);
    font-family: Vazir-M;
}

    .count-item code {
        font-family: Vazir;
        font-size: 11px;
        border-radius: 10px;
        color: #00994d;
        background-color: #f7f7fa;
        display: block;
    }
/**********************************************/
.checkbox-container {
    margin-top: 10px;
    padding-right: 15px;
}

.css-checkbox {
    text-align: right;
    position: relative;
    margin-bottom: 15px;
    padding: 5px 0;
}

    .css-checkbox .lbl-checkbox {
        margin-right: 10px;
        display: inline;
    }

    .css-checkbox input[type=checkbox] {
        vertical-align: middle;
        margin-right: 2px !important;
        margin-top: 0 !important;
    }

    .css-checkbox label:not(.lbl-checkbox) {
        cursor: pointer;
        position: absolute;
        width: 24px;
        height: 24px;
        right: 0px;
        top: 0px;
        background-color: #fff;
        border: 1px solid #ccc;
        border-radius: 3px;
    }

        .css-checkbox label:not(.lbl-checkbox):after {
            opacity: 0;
            content: '˗';
            position: absolute;
            width: 20px;
            height: 20px;
            background-color: #00c179;
            border-radius: 3px;
            top: 1px;
            left: 1px;
            font-size: 14px;
            line-height: 20px;
            text-align: center;
            font-family: fontello;
            color: #fff;
        }



    .css-checkbox input[type=checkbox]:checked + label:not(.lbl-checkbox):after {
        opacity: 1;
    }
